##############################################################################
# $Id: xdtv.spec.in,v 1.26 2006/01/27 20:38:14 pingus77 Exp $
##############################################################################
# Minimum required is: X11 & XPM & Xaw from X.org + Xterm
#
# Optional:
# To have a better GUI:
# neXtaw (0.15.1) from http://siag.nu/neXtaw/
# or XawM from http://sourceforge.net/projects/xawm/
# or Xaw95 & Xaw3d (not advised)
#
# To Record with a lot of audio/video codecs:
# FFMpeg (50.0.0+) from http://ffmpeg.sourceforge.net/ read README.ffmpeg for more infos
# Lame (3.96+)from http://lame.sourceforge.net/
# XviD (1.x+) from http://www.xvid.org/
# DivX (5.0.1alpha only) from http://www.divx.com/divx/linux/
# Ogg (1.1.2+) & Theora (1.0alpha5) & Vorbis (1.1.0+) from http://www.xiph.org/
#
# Other options:
# Zvbi (0.2.15+) from http://zapping.sourceforge.net/ (Scanning channels and get their names
# Alsa (1.x) from http://www.alsa-project.org/ (Better sound architecture than OSS)
# Lirc (0.7.x+) from http://www.lirc.org/ (If you have a remote and want to use it)
# libpng & libjpeg (For capturing AleVT & XdTV snapshots)
##############################################################################

%define cvsversion cvs20070909
%define new_name xawdecode

%define branch_point alt10.%cvsversion
%define branch M40
%define revision 1


Name: xdtv
Summary: XdTV is a software to record & watch TV
Version: 2.4.0
Release: %branch_point.%branch.%revision

License: GPL
Url: http://xawdecode.sourceforge.net/
Packager: Hihin Ruslan <ruslandh@altlinux.ru>
Source0: %new_name-%cvsversion.tar.bz2
Source1: %name.desktop
Source2: xdtv_russian_addons.tar.gz

Patch1: xdtv-2.4.cvs20070909-mini-alevt.patch
Patch2: xdtv-2.4.cvs20070519.ffmpeg-record.patch
Patch3: xdtv-2.4.cvs20070909-tv_debug.patch
Patch6: xdtv-2.4.cvs20070519-scantv.patch
Patch7: xdtv-2.4.cvs20070519-size.patch
Patch8: xdtv-2.4.cvs20070519-utf8.patch
Patch9: xawdecode-cvs20070729.2-font.patch
Patch10: xdtv-2.4.cvs20070909-right.patch
Patch11: xawdecode-cvs20070909-divx.patch
Patch12: xawdecode-cvs20070729-xosd.patch
Patch13: xawdecode-cvs20070909-congigure.patch

Group: Video

%def_enable optimization
#def_disable cpu-detection

%def_disable debug
%def_enable mmx

# Defaults :
%def_enable nls
%def_enable pixmaps
%def_enable xinerama

%def_enable nextaw
%def_enable xawm
%def_enable xaw95
%def_enable xaw3d
%def_enable ogg
%def_enable xvid
%def_enable ffmpeg
%def_disable divx4linux
%def_enable lame
%def_enable dvb
%def_enable zvbi
%def_enable lirc
%def_enable alsa
%def_enable png
%def_enable jpeg
%def_enable faac
%def_enable mowitz
%def_enable xvtv
%def_enable x264
%def_enable xosd

%define Name			XdTV
%define summary1		%name is a software to record & watch TV.
%define tvtuner_launcher	%_desktopdir


BuildPreReq: libX11-devel  bdftopcf gcc4.1-c++ libXv-devel libXxf86dga-devel
BuildPreReq: libXxf86vm-devel mkfontdir xorg-cf-files rpm-build-fonts

BuildPreReq: libX11-devel glibc-kernheaders libXpm-devel libXaw-devel
BuildPreReq: autoconf automake
BuildPreReq: libavformat-devel liblirc-devel packages-info-i18n-common 
BuildPreReq: xterm xset

%if_enabled x264
BuildPreReq: libx264-devel
%endif

%if_enabled ogg
BuildPreReq: libogg-devel libtheora-devel libvorbis-devel
%endif

%if_enabled xvid
BuildPreReq: libxvid-devel
%endif

%if_enabled ffmpeg
BuildPreReq: libffmpeg-devel
%endif

%if_enabled divx
BuildPreReq: libavifile-devel
%endif

%if_enabled lame
BuildPreReq: liblame-devel
%endif

%if_enabled dvb
BuildPreReq: libdvbpsi-devel
%endif

%if_enabled zvbi
BuildPreReq: libzvbi-devel
%endif

%if_enabled lirc
BuildPreReq: liblirc-devel
%endif

%if_enabled alsa
BuildPreReq: libalsa-devel
%endif

%if_enabled png
BuildPreReq: libpng-devel
%endif

%if_enabled jpeg
BuildPreReq: libjpeg-devel
%endif

%if_enabled faac
BuildPreReq: libfaac-devel
%endif

%if_enabled xosd
BuildPreReq: libxosd-devel
%endif

%description
XdTV is a software that allows you to to record & watch TV.
It interacts with Nxtvepg for NextView,
and uses the video4linux API. It can use some deinterlacing filters
and can record video files in various containers (AVI, MPEG, OGG, etc.)
with many codecs (FFMpeg(>=0.4.6), XviD(0.9 & 1.x),
Ogg Theora (>=1.0alpha5) & Vorbis and DivX4/5).
For AleVT for Teletext install libalevt
It has also some plugin capabilities.

%description -l ru_RU.CP1251
XdTV (  X11   xawtv)    
TV.     AleVT  Teletext   Nxtvepg  NextView,
 video4linux API.      
    : FFMpeg(>=0.4.6), XviD(0.9 & 1.x),
Ogg Theora (>=1.0alpha5) & Vorbis, DivX4/5.    
 .     
 libalevt

%description -l ru_RU.UTF8
XdTV (программа под X11 основанная на xawtv) это софт для просмотра
TV.  Она взаимодействует с AleVT для Teletext и с Nxtvepg для NextView,
использует video4linux API.  Может использовать деинтерлейс фильтры и
записывать видео с помощью кодеков: FFMpeg(>=0.4.6), XviD(0.9 & 1.x),
Ogg Theora (>=1.0alpha5) & Vorbis, DivX4/5.  Имеются возможности по
подключению плагинов. Для использования телетекста необходимо установить
пакет libalevt.

%package -n libalevt
Summary: Developpement files for XdTV
Group: Development/C

%if_enabled nextaw
BuildPreReq: libneXtaw-devel
%endif

%if_enabled xawm
BuildPreReq: libXawM1-devel
%endif

%if_enabled xaw95
BuildPreReq: libXaw95-devel
%endif

%if_enabled xaw3d
BuildPreReq: libXaw3d-devel
%endif

%if_enabled xinerama
BuildPreReq: libXinerama-devel
%endif

%package -n libalevt-devel
Summary: Developpement files for XdTV
Group: Development/C
Requires: libalevt = %version-%release

%description -n libalevt
Teletext decoder and browser for the bttv driver.

%description -n libalevt-devel
Headers and tool for development with libalevt.

%description -n libalevt -l ru_RU.UTF8
X11 библиотка для декодирования телетекста.

%description -n libalevt -l ru_RU.CP1251
X11    .

%package -n fonts-bitmap-xdtv-OSD
Summary: Font used by XdTV OSD function
Group: Video
Conflicts: xdtv-OSD-font
Obsoletes: xdtv-OSD-font
 

%description -n fonts-bitmap-xdtv-OSD
Font used by XdTV OSD function.

%prep
%setup -n %new_name -q -a2
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch13 -p1

%if_enabled xosd
%patch12 -p1
%endif

%build
%__autoreconf

export FLAGS="%optflags -DNDEBUG -DNO_DEBUG -D_GNU_SOURCE "
%configure \
%if_enabled optimization
	--enable-cpu-detection \
%else
	--disable-cpu-detection \
%endif
	--with-external-ffmpeg	\
	--with-gnu-ld  \
	--with-pic   \
	--with-x   \
        --enable-smallfont \
	--disable-x11-ext-checking \
        --with-fontdir=%buildroot%_bitmapfontsdir/%name \
	--with-appdefaultsdir=%_x11appconfdir \
        %{subst_enable mmx}  \
	%{subst_enable nls} \
	%{subst_enable pixmaps} \
	%{subst_enable debug} \
	%{subst_enable xinerama} \
	%{subst_enable ogg} \
	%{subst_enable x264} \
	%{subst_enable xvtv} \
	%{subst_enable divx} \
	%{subst_enable xvid} \
	%{subst_enable ffmpeg} \
	%{subst_enable lame} \
	%{subst_enable zvbi} \
	%{subst_enable lirc} \
	%{subst_enable dvb} \
	%{subst_enable alsa} \
	%{subst_enable jpeg} \
	%{subst_enable png} \
	%{subst_enable nextaw} \
	%{subst_enable xawm} \
	%{subst_enable faac} \
	%{subst_enable xaw95} \
	%{subst_enable xaw3d} \
	%{subst_enable mowitz} \
export ROOT=%buildroot/usr
%make_build

%install
%makeinstall ROOT=%buildroot \
	     SUID_ROOT="" \
	     libdir=%buildroot/%_libdir

install -d -m755 %buildroot/etc/X11/fontpath.d/

pushd %buildroot/etc/X11/fontpath.d
ln -s ../../..%_bitmapfontsdir/%name bitmap-xdtv:unscaled:pri=20
popd
 
# Cure man path if needed
install -d -m 755 %buildroot%_includedir/libalevt
install -m 644 alevt/*.h %buildroot%_includedir/libalevt
install -d -m 755 %buildroot%_man1dir
install -m 644 man/%name.1 %buildroot%_man1dir
install -m 644 man/%{name}_cmd.1 %buildroot%_man1dir
install -m 644 man/%{name}_alevt-cap.1 %buildroot%_man1dir
install -m 644 man/%{name}_alevt-date.1 %buildroot%_man1dir
install -m 644 man/%{name}_alevt.1 %buildroot%_man1dir

# Dynamic desktop support
mkdir -p %buildroot/%tvtuner_launcher
cp %SOURCE1 %buildroot/%tvtuner_launcher/

cat > %buildroot%_desktopdir/xdtv_wizard.desktop << EOF
[Desktop Entry]
Name=xdtv_wizard
GenericName[ru]=Наладка параметров xdtv
Comment=xdtv is a software to record & watch TV.
Categories=AudioVideo;Video;TV;
TryExec=/usr/bin/xdtv_wizard
Exec=/usr/bin/xdtv_wizard
Terminal=true
Icon=xdtv.png
Type=Application
EOF

cat > %buildroot%_desktopdir/scan_xdtv.desktop << EOF
[Desktop Entry]
Name=xdtv_scantv.sh
GenericName[ru]=Настройка каналов xdtv
Comment=xdtv is a software to record & watch TV.
Categories=AudioVideo;Video;TV;
TryExec=/usr/bin/xdtv_scan.sh
Exec=/usr/bin/xdtv_scan.sh
Terminal=true
Icon=xdtv.png
Type=Application
EOF

cat > %buildroot%_desktopdir/xdtv_make_dvb.desktop << EOF
[Desktop Entry]
Name=xdtv_scantv.sh
GenericName[ru]=xdtv Скрипт работы с DVB
Comment=xdtv is a software to record & watch TV.
Categories=AudioVideo;Video;TV;
TryExec=/usr/bin/xdtv_makedvb.sh
Exec=/usr/bin/xdtv_makedvb.sh
Terminal=true
Icon=xdtv.png
Type=Application
EOF

# menu
install -pD -m 644 %name-16.png %buildroot/%_miconsdir/%name.png
install -pD -m 644 %name-32.png %buildroot/%_iconsdir/%name.png
install -pD -m 644 %name-48.png %buildroot/%_liconsdir/%name.png

%files
%doc AUTHORS COPYING INSTALL FAQfr-xdtv TODO ChangeLog
%doc lisez-moi
%doc README README.*
%doc *.sample
#doc README README.dvb README.record README.bs README.ffmpeg README.streaming
#doc README.bsd README.gentoo README.xvid README.buildme README.lirc
#doc README.deinterlace README.plugins
#doc xdtvrc.sample lircrc.miro.sample lircrc.hauppauge.sample lircrc.animax.sample
#doc lircrc.WinfastTV2000.sample  xdtvrc.ru.cp1251.sample xdtvrc.ru.utf8.sample

%dir %_sysconfdir/%name
%_sysconfdir/%name/%{name}_wizard-en.conf
%_sysconfdir/%name/%{name}_wizard-en-UTF8.conf
%_bindir/%name
%_bindir/%{name}_cmd
%_bindir/%{name}_wizard
%_bindir/%{name}_scantv
%_bindir/%{name}_alevt-cap
%_bindir/%{name}_alevt-capall
%_bindir/%{name}_alevt-date
%_bindir/%{name}_v4l-conf
%_bindir/%{name}_scan.sh
%_bindir/%{name}_record.sh
%_bindir/%{name}_makedvd.sh
%_man1dir/*
%_datadir/%name/icons/*
%_x11appconfdir/*

#_menudir/%name
#_menudir/%{name}_wizard
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png
%_desktopdir/*.desktop

%files -n libalevt
%_libdir/*.so.*
#exclude  %_libdir/libalevt.la
#exclude  %_libdir/libalevt.a

%files -n libalevt-devel
%_includedir/*
%_libdir/*.so

%files -n fonts-bitmap-xdtv-OSD
%dir %_bitmapfontsdir/xdtv
%exclude %_bitmapfontsdir/xdtv/fonts.scale
%_bitmapfontsdir/xdtv/* 
/etc/X11/fontpath.d/*

%post -n libalevt
%post_ldconfig

%postun -n libalevt
%postun_ldconfig
%changelog
* Tue Sep 11 2007 Hihin Ruslan <ruslandh@altlinux.ru> 2.4.0-alt10.cvs20070909.M40.1
- version for branch-4.0

* Mon Sep 10 2007 Hihin Ruslan <ruslandh@altlinux.ru> 2.4.0-alt11.cvs20070909.1
- new cvs version
- add --enable-xosd from Alexey V. Novikov
- replace Buildprereq: glibc-kernheaders

* Mon Sep 03 2007 Hihin Ruslan <ruslandh@altlinux.ru> 2.4.0-alt11.cvs20070729.1
- correct fonts

* Mon Jul 30 2007 Hihin Ruslan <ruslandh@altlinux.ru> 2.4.0-alt10.cvs20070729.1
- new cvs version

* Sun Jul 22 2007 Hihin Ruslan <ruslandh@altlinux.ru> 2.4.0-alt10.cvs20070519.2
- add xawdecode-cvs20070519-divx.patch

* Sat Jun 16 2007 Hihin Ruslan <ruslandh@altlinux.ru> 2.4.0-alt10.cvs20070519.1
- version for branch-4.0

* Mon Jun 11 2007 Hihin Ruslan <ruslandh@altlinux.ru> 2.4.0-alt9.cvs20070519
- correct align

* Mon Jun 11 2007 Hihin Ruslan <ruslandh@altlinux.ru> 2.4.0-alt8.cvs20070519
- add xdtv-2.4.cvs20070519-right2.patch
- remove xdtv-2.4.cvs20070519-right2.patch and xdtv-2.4.cvs20070519-float.patch

* Fri Jun 08 2007 Hihin Ruslan <ruslandh@altlinux.ru> 2.4.0-alt7.cvs20070519
- correct spec and xdtv-2.4.cvs20070519-mini-alevt.patch

* Wed Jun 06 2007 Hihin Ruslan <ruslandh@altlinux.ru> 2.4.0-alt6.cvs20070519.1
- correct xdtv_russian_addons

* Tue Jun 05 2007 Hihin Ruslan <ruslandh@altlinux.ru> 2.4.0-alt6.cvs20070519
- correct ru_RU.UTF8

* Fri Jun 01 2007 Hihin Ruslan <ruslandh@altlinux.ru> 2.4.0-alt4.cvs20070519
- correct xdtv_scantv.sh
- add xdtv_russian_addons

* Sun May 27 2007 Hihin Ruslan <ruslandh@altlinux.ru> 2.4.0-alt3.cvs20070519
- add xdtv-2.4.cvs20070519-float.patch
- cvs version

* Thu May 17 2007 Hihin Ruslan <ruslandh@altlinux.ru> 2.4.0-alt2.4
- add --enable-mmx

* Tue May 08 2007 Hihin Ruslan <ruslandh@altlinux.ru> 2.4.0-alt2.3
- correct xdtv.desktop

* Mon May 07 2007 Hihin Ruslan <ruslandh@altlinux.ru> 2.4.0-alt2.2
- correct xdtv.desktop

* Sun Mar 11 2007 Hihin Ruslan <ruslandh@altlinux.ru> 2.4.0-alt2.1
- correct xdtv-2.4.0-alevt.patch

* Sun Feb 25 2007 Hihin Ruslan <ruslandh@altlinux.ru> 2.4.0-alt2
- new version
- add dynamic libalevt.so
- patch ffmpeg-record from Alexey V. Novikov
- add key  --with-external-ffmpeg
- correct spec

* Sat Sep 23 2006 Hihin Ruslan <ruslandh@altlinux.ru> 2.4.0-alt1.pre0
- first version for ALT-Linux

* Sat Jul 22 2006 Hihin Ruslan <hihin_c@t_narod_dot_ru> 2.4.0pre0-alt1a
- add menu and desktop

* Wed Jul 19 2006 Sergei Epiphanov <serpiph@altlinux.ru> 2.4.0pre0-alt1
- Updated version to 2.4.0pre0
- Cleanup spec

* Thu Dec 22 2005 Sir Pingus <pingus_77@yahoo.fr> 2.3.0-1mdk
- 2.3.0
- review all the spec: now -with / without can be use with rpmbuild
